#include<bits/stdc++.h>
using namespace std;
int niz[100010];
int main()
{
    int n,m;
    cin>>n>>m;
    for(int i=1;i<=n;++i)cin>>niz[i];
    long long s=0;
    for(int i=0;i<m;++i)
    {
        int a,b;
        cin>>a>>b;
        s+=max(niz[a]+niz[b],-niz[a]-niz[b]);
    }
    cout<<s;
    return 0;
}